> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a bank payment

> Returns the current status of an open-banking bill payment, including multi-authorisation progress for business accounts that need a second approver.



## OpenAPI

````yaml /api-reference/openapi.json get /bank-payments/{id}
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /bank-payments/{id}:
    get:
      tags:
        - BankPayments
      summary: Get a bank payment
      description: >-
        Returns the current status of an open-banking bill payment, including
        multi-authorisation progress for business accounts that need a second
        approver.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillPaymentResponse'
        '404':
          description: >-
            BankPayment.NotFound — payment does not exist or belongs to a
            different organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BillPaymentResponse:
      required:
        - id
        - billId
        - status
        - institutionId
        - amount
        - currency
        - reference
        - payeeName
      type: object
      properties:
        id:
          type: string
          format: uuid
        billId:
          type: string
          format: uuid
        supplierId:
          type:
            - 'null'
            - string
          format: uuid
        status:
          $ref: '#/components/schemas/BillPaymentStatus'
        institutionId:
          type: string
        amount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        currency:
          type: string
        reference:
          type: string
        payeeName:
          type: string
        yapilyStatus:
          type:
            - 'null'
            - string
        isoStatus:
          type:
            - 'null'
            - string
        multiAuthorisationStatus:
          type:
            - 'null'
            - string
        multiAuthorisationsRequired:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        multiAuthorisationsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        authorisationUrl:
          type:
            - 'null'
            - string
        authorisationExpiresAt:
          type:
            - 'null'
            - string
          format: date-time
        errorMessage:
          type:
            - 'null'
            - string
        createdAt:
          type: string
          format: date-time
        executedAt:
          type:
            - 'null'
            - string
          format: date-time
        completedAt:
          type:
            - 'null'
            - string
          format: date-time
        failedAt:
          type:
            - 'null'
            - string
          format: date-time
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    BillPaymentStatus:
      enum:
        - Initiating
        - AwaitingAuthorisation
        - Authorised
        - Pending
        - Completed
        - Failed
        - Expired

````